メイン コンテンツをスキップする 補完的コンテンツへスキップ

Talendジョブでサポートされているビッグデータプラットフォームディストリビューションのバージョン

通常のHadoopディストリビューション、およびHadoopディストリビューションのダイナミックサポート

通常のHadoopディストリビューションとTalendでサポートされているビッグデータエレメントの間の互換性を確認する場合は、ビッグデータに関連する以下のエレメントをクリックします。

サポート対象のBig Dataプラットフォームのうち、古くなった各バージョンはベンダーによってサポートから外されます。Talendは、ベンダーが設定したサポート終了日を過ぎたバージョンのサポートを中止します。

ベンダーがTalend製品でのサポートを中止するバージョンを引き続き使用できるよう、Talendとそのコミュニティによって便利なツールが提供されます。この理由から、該当するバージョンも次のテーブルに引き続き記載されており、製品でも利用可能ですが、Talendはそのようなバージョンに対するサポートの提供を中止しています。

Talendは、次のテーブルにあるディストリビューションのマイナーバージョンをサポートしています。

HBaseでサポートされているHadoopディストリビューション
[Hadoop distribution] (Hadoopディストリビューション) バージョン Kerberos KinitとKeytabのサポート
HDP v2.5.0 (非推奨) はい
v2.6.0 (非推奨) はい
v2.6.0.3-8 (非推奨) はい
v3.14.12-1 あり

3.xのその他のバージョン - ダイナミックディストリビューション

情報メモ注: HDP 3.0以前のディストリビューションは、ダイナミックディストリビューションを通じて非推奨です。
-
Cloudera 5.5 (YARNモード) (非推奨) はい
5.6 (YARNモード) (非推奨) はい
5.7 (YARNモード) (非推奨) はい
5.8 (YARNモード) (非推奨) はい
5.10 (YARNモード) (非推奨) はい
5.12.1 (YARNモード) (非推奨) はい
5.13.0 (非推奨) はい

5.xのその他のバージョン - ダイナミックディストリビューション

-

6.1.1

あり

6.xのその他のバージョン - ダイナミックディストリビューション

-
7.1.1 あり
7.1.xのその他のバージョン - ダイナミックディストリビューション -
MapR 1、2 5.0.0 (YARNモード) (非推奨) はい
5.1.0 (YARNモード) (非推奨) はい
5.2.0 (YARNモード) (非推奨) はい

1 v6.0よりも前のすべてのMapRバージョンでは、MapRセキュリティチケットメカニズムがStudioによりサポートされています。

2. MapR v6.0では、HBaseサポートがMapR-DBのために削除されました。詳細は、https://maprdocs.mapr.com/home/ReleaseNotes/install_upgrade_notes.html (英語のみ)をご覧ください。

HCatalogでサポートされているHadoopディストリビューション
[Hadoop distribution] (Hadoopディストリビューション) バージョン Kerberos KinitとKeytabのサポート
HDP v2.5.0 (非推奨) はい
v2.6.0 (非推奨) はい
v2.6.0.3-8 (非推奨) はい
v3.14.12-1 あり

3.xのその他のバージョン - ダイナミックディストリビューション

情報メモ注: HDP 3.0以前のディストリビューションは、ダイナミックディストリビューションを通じて非推奨です。
-
Cloudera 5.5 (YARNモード) (非推奨) はい
5.6 (YARNモード) (非推奨) はい
5.7 (YARNモード) (非推奨) はい
5.8 (YARNモード) (非推奨) はい
5.10 (YARNモード) (非推奨) はい
5.12.1 (YARNモード) (非推奨) はい
5.13.0 (非推奨) はい

5.xのその他のバージョン - ダイナミックディストリビューション

-

6.1.1

あり

6.xのその他のバージョン - ダイナミックディストリビューション

-
MapR 1、2 5.0.0 (YARNモード) (非推奨) はい
5.1.0 (YARNモード) (非推奨) はい
5.2.0 (YARNモード) (非推奨) はい
6.0.0 (YARNモード) (非推奨) はい
6.0.1 MEP 5.0 (YARNモード) (非推奨) はい
6.1 / MEP 6.1 (非推奨) はい

1 v6.0よりも前のすべてのMapRバージョンでは、MapRセキュリティチケットメカニズムがStudioによりサポートされています。

2. MapR v6.0では、HBaseサポートがMapR-DBのために削除されました。詳細は、https://maprdocs.mapr.com/home/ReleaseNotes/install_upgrade_notes.html (英語のみ)をご覧ください。

HDFSでサポートされているHadoopディストリビューション
[Hadoop distribution] (Hadoopディストリビューション) バージョン Kerberos KinitとKeytabのサポート
HDP v2.5.0 (非推奨) はい
v2.6.0 (非推奨) はい
v2.6.0.3-8 (非推奨) はい
v3.14.12-1 あり

3.xのその他のバージョン - ダイナミックディストリビューション

情報メモ注: HDP 3.0以前のディストリビューションは、ダイナミックディストリビューションを通じて非推奨です。
-
Cloudera 5.5 (YARNモード) (非推奨) はい
5.6 (YARNモード) (非推奨) はい
5.7 (YARNモード) (非推奨) はい
5.8 (YARNモード) (非推奨) はい
5.10 (YARNモード) (非推奨) はい
5.12.1 (YARNモード) (非推奨) はい
5.13.0 (非推奨) はい

5.xのその他のバージョン - ダイナミックディストリビューション

-

6.1.1

あり

6.xのその他のバージョン - ダイナミックディストリビューション

-
7.1.1 あり
7.1.xのその他のバージョン - ダイナミックディストリビューション -
MapR 1、2 5.0.0 (YARNモード) (非推奨) はい
5.1.0 (YARNモード) (非推奨) はい
5.2.0 (YARNモード) (非推奨) はい
6.0.0 (YARNモード) (非推奨) はい
6.0.1 MEP 5.0 (YARNモード) (非推奨) はい
6.1 / MEP 6.1 (非推奨) はい

1 v6.0よりも前のすべてのMapRバージョンでは、MapRセキュリティチケットメカニズムがStudioによりサポートされています。

2. MapR v6.0では、HBaseサポートがMapR-DBのために削除されました。詳細は、https://maprdocs.mapr.com/home/ReleaseNotes/install_upgrade_notes.html (英語のみ)をご覧ください。

HiveでサポートされているHadoopディストリビューション
[Hadoop distribution] (Hadoopディストリビューション) バージョン Kerberos KinitとKeytabのサポート
HDP v2.5.0 (非推奨) はい
v2.6.0 (非推奨) はい
v2.6.0.3-8 (非推奨) はい
v3.14.12-1 あり

3.xのその他のバージョン - ダイナミックディストリビューション

情報メモ注: HDP 3.0以前のディストリビューションは、ダイナミックディストリビューションを通じて非推奨です。
-
Cloudera 5.5 (YARNモード) (非推奨) はい
5.6 (YARNモード) (非推奨) はい
5.7 (YARNモード) (非推奨) はい
5.8 (YARNモード) (非推奨) はい
5.10 (YARNモード) (非推奨) はい
5.12.1 (YARNモード) (非推奨) はい
5.13.0 (非推奨) はい

5.xのその他のバージョン - ダイナミックディストリビューション

-

6.1.1

あり

6.xのその他のバージョン - ダイナミックディストリビューション

-
7.1.1 あり
7.1.xのその他のバージョン - ダイナミックディストリビューション -
MapR 1、2 5.0.0 (YARNモード) (非推奨) はい
5.1.0 (YARNモード) (非推奨) はい
5.2.0 (YARNモード) (非推奨) はい
6.0.0 (YARNモード) (非推奨) はい
6.0.1 MEP 5.0 (YARNモード) (非推奨) はい
6.1 / MEP 6.1 (非推奨) はい
情報メモ注: Profilingパースペクティブでは、Hiveディストリビューションでの[Embedded] (組み込み型)接続がサポートされていません。このモードは主にHadoop開発者によるテスト目的で利用できます。組み込みモードでは、Studioを正しく実行できない場合があります。

1 v6.0よりも前のすべてのMapRバージョンでは、MapRセキュリティチケットメカニズムがStudioによりサポートされています。

2. MapR v6.0では、HBaseサポートがMapR-DBのために削除されました。詳細は、https://maprdocs.mapr.com/home/ReleaseNotes/install_upgrade_notes.html (英語のみ)をご覧ください。

SqoopでサポートされているHadoopディストリビューション
[Hadoop distribution] (Hadoopディストリビューション) バージョン Kerberos KinitとKeytabのサポート
HDP v2.5.0 (非推奨) はい
v2.6.0 (非推奨) はい
v2.6.0.3-8 (非推奨) はい
v3.1.4.12-1 あり

3.xのその他のバージョン - ダイナミックディストリビューション

情報メモ注: HDP 3.0以前のディストリビューションは、ダイナミックディストリビューションを通じて非推奨です。
-
Cloudera 5.5 (YARNモード) (非推奨) はい
5.6 (YARNモード) (非推奨) はい
5.7 (YARNモード) (非推奨) はい
5.8 (YARNモード) (非推奨) はい
5.10 (YARNモード) (非推奨) はい
5.12.1 (YARNモード) (非推奨) はい
5.13.0 (非推奨) はい

5.xのその他のバージョン - ダイナミックディストリビューション

-

6.1.1

あり

6.xのその他のバージョン - ダイナミックディストリビューション

-
7.1.1 あり
7.1.xのその他のバージョン - ダイナミックディストリビューション -
MapR 1、2 5.0.0 (YARNモード) (非推奨) はい
5.1.0 (YARNモード) (非推奨) はい
5.2.0 (YARNモード) (非推奨) はい
6.0.0 (YARNモード) (非推奨) はい
6.0.1 MEP 5.0 (YARNモード) (非推奨) はい
6.1 / MEP 6.1 (非推奨) はい

1 v6.0よりも前のすべてのMapRバージョンでは、MapRセキュリティチケットメカニズムがStudioによりサポートされています。

2. MapR v6.0では、HBaseサポートがMapR-DBのために削除されました。詳細は、https://maprdocs.mapr.com/home/ReleaseNotes/install_upgrade_notes.html (英語のみ)をご覧ください。

SparkでサポートされているHadoopディストリビューション
[Hadoop distribution] (Hadoopディストリビューション) [Version] (バージョン) Sparkスタンドアロンと連動 Spark YARNと連動 Kerberos KinitとKeytabのサポート
HDP v2.5.0 (非推奨) - v1.6 (非推奨) サポート(YARNのみ)
v2.6.0 (非推奨) - v1.6 (非推奨) / v2.1 (非推奨) サポート(YARNのみ)
v2.6.0.3-8 (非推奨) - v1.6 (非推奨) / v2.1 (非推奨) サポート(YARNのみ)
v3.1.4.12-1 - v2.3 (非推奨) サポート(YARNのみ)

3.xのその他のバージョン - ダイナミックディストリビューション

情報メモ注: HDP 3.0以前のディストリビューションは、ダイナミックディストリビューションを通じて非推奨です。
- - -
Cloudera 5.5 (YARNモード) (非推奨) v1.5 (非推奨) v1.5 (非推奨) サポート(YARNのみ)
5.6 (YARNモード) (非推奨) v1.5 (非推奨) v1.5 (非推奨) サポート(YARNのみ)
5.7 (YARNモード) (非推奨) v1.6 (非推奨) v1.6 (非推奨) サポート(YARNのみ)
5.8 (YARNモード) (非推奨) v1.6 (非推奨) v1.6 (非推奨) / v2.1 (非推奨) サポート(YARNのみ)
5.10 (YARNモード) (非推奨) v1.6 (非推奨) / 2.1 (非推奨) v1.6 (非推奨) / v2.1 (非推奨) サポート(YARNのみ)
5.12.1 (YARNモード) (非推奨) v2.2 (非推奨) v2.2 (非推奨) サポート(YARNのみ)
5.13.0 (非推奨) v2.2 (非推奨) v2.2 (非推奨) サポート(YARNのみ)

5.xのその他のバージョン - ダイナミックディストリビューション

- - -
6.1.1 v2.4 v2.4 サポート(YARNのみ)

6.xのその他のバージョン - ダイナミックディストリビューション

- - -
MapR 1、2 5.0.0 (YARNモード) (非推奨) v1.3 (非推奨) v1.3 (非推奨) サポート(YARNのみ)
5.1.0 (YARNモード) (非推奨) v1.5 (非推奨) v1.5 (非推奨) サポート(YARNのみ)
5.2.0 (YARNモード) (非推奨) v1.6 (非推奨) v1.6 (非推奨) サポート(YARNのみ)
6.0.0 (YARNモード) (非推奨) v2.1 (非推奨) v2.1 (非推奨) サポート(YARNのみ)
6.0.1 MEP 5.0 (YARNモード) (非推奨) v2.2 (非推奨) v2.2 (非推奨) サポート(YARNのみ)
6.1 / MEP 6.1 (非推奨) v2.3 (非推奨) v2.3 (非推奨) サポート(YARNのみ)
6.1 / MEP 6.1.1 (非推奨) v2.3 (非推奨) v2.3 (非推奨) サポート(YARNのみ)

1 v6.0よりも前のすべてのMapRバージョンでは、MapRセキュリティチケットメカニズムがStudioによりサポートされています。

2. MapR v6.0では、HBaseサポートがMapR-DBのために削除されました。詳細は、https://maprdocs.mapr.com/home/ReleaseNotes/install_upgrade_notes.html (英語のみ)をご覧ください。

Azure Data Lake Storage Gen2 (ADLS Gen2)でサポートされているHadoopディストリビューション
[Hadoop distribution] (Hadoopディストリビューション) [Version] (バージョン) Sparkスタンドアロンと連動 Spark YARNと連動 Kerberos KinitとKeytabのサポート
HDP v3.1.4.12-1 - v2.3 (非推奨) サポート(YARNのみ)

3.xのその他のバージョン - ダイナミックディストリビューション

情報メモ注: HDP 3.0以前のディストリビューションは、ダイナミックディストリビューションを通じて非推奨です。
- - -
Cloudera

6.1.1

v2.4 v2.4 サポート(YARNのみ)

6.xのその他のバージョン - ダイナミックディストリビューション

- - -

ADLS Gen2版のTalendでサポートされているData Cloudプラットフォームに関する情報が必要な場合は、インストールガイドの「TalendジョブでサポートされているCloud Big Dataプラットフォームディストリビューションのバージョン」をご覧ください。

Spark StreamingジョブでのKafkaでサポートされているHadoopディストリビューション
Hadoopディストリビューション [Version] (バージョン) Sparkスタンドアロンと連動 Spark YARNと連動 Kerberos KinitとKeytabのサポート Kafkaのバージョン
HDP v2.5.0 (非推奨) - v1.6 (非推奨) サポート(YARNのみ) v0.10
v2.6.0 (非推奨) - v1.6 (非推奨) / v2.1 サポート(YARNのみ) v0.10
v2.6.0.3-8 (非推奨) - v1.6 (非推奨) / v2.1 サポート(YARNのみ)

v1.x

v3.1.4.12-1 - v2.3 (非推奨) サポート(YARNのみ)

v2.x

3.xのその他のバージョン - ダイナミックディストリビューション

- - - -
Cloudera 5.5 (YARNモード) (非推奨) v1.5 (非推奨) v1.5 (非推奨) サポート(YARNのみ) v0.10
5.6 (YARNモード) (非推奨) v1.5 (非推奨) v1.5 (非推奨) サポート(YARNのみ) v0.10
5.7 (YARNモード) (非推奨) v1.6 (非推奨) v1.6 (非推奨) サポート(YARNのみ) v0.10
5.8 (YARNモード) (非推奨) v1.6 (非推奨) v1.6 (非推奨) / v2.1 サポート(YARNのみ) v0.10
5.10 (YARNモード) (非推奨) v1.6 (非推奨) / 2.1 v1.6 (非推奨) / v2.1 サポート(YARNのみ) v0.10
5.12.1 (YARNモード) (非推奨) v2.2 v2.2 (非推奨) サポート(YARNのみ) v0.10
5.13.0 (非推奨) v2.2 v2.2 (非推奨) サポート(YARNのみ) v0.10

5.xのその他のバージョン - ダイナミックディストリビューション

- - - -

6.1.1

v2.4 v2.4 サポート(YARNのみ)

v2.x

6.xのその他のバージョン - ダイナミックディストリビューション

- - - -
7.1.1 v2.4 v2.4 サポート(YARNのみ)

v2.x

7.1.xのその他のバージョン - ダイナミックディストリビューション - - - -
MapR 1、2 5.0.0 (YARNモード) (非推奨) v1.3 (非推奨) v1.3 (非推奨) サポート(YARNのみ) v0.10
5.1.0 (YARNモード) (非推奨) v1.5 (非推奨) v1.5 (非推奨) サポート(YARNのみ) v0.10
5.2.0 (YARNモード) (非推奨) v1.6 (非推奨) v1.6 (非推奨) サポート(YARNのみ) v0.10
6.0.0 (YARNモード) (非推奨) v2.1 v2.1 (非推奨) サポート(YARNのみ) v0.10
6.0.1 MEP 5.0 (YARNモード) (非推奨) v2.2 v2.2 (非推奨) サポート(YARNのみ) v0.10
6.1 / MEP 6.1 (非推奨) v2.3 v2.3 (非推奨) サポート(YARNのみ)

v1.x

Spark BatchジョブでのKuduでサポートされているHadoopディストリビューション
Hadoopディストリビューション バージョン Kerberos KinitとKeytabのサポート
Cloudera

7.1.1

-
7.1.xのその他のバージョン - ダイナミックディストリビューション -
ImpalaでサポートされているHadoopディストリビューション
[Hadoop distribution] (Hadoopディストリビューション) バージョン Kerberos KinitとKeytabのサポート
Cloudera

7.1.1

-
7.1.xのその他のバージョン - ダイナミックディストリビューション -

このページは役に立ちましたか?

このページまたはコンテンツに、タイポ、ステップの省略、技術的エラーなどの問題が見つかった場合は、お知らせください。改善に役立たせていただきます。